#### D.13.2.48 getCone

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  getCone(f,d,i[,m]); f fan, d int, i int, m int

Assume:
  d is between 0 and ambientDimension(f)
  i is between 1 and numberOfConesOfDimension(f,d,o,m)

Return:
  cone, returns in the fan f of all cones in dimension d the i-th cone if m!=0, it will enumerate over maximal cones only

Example:

    LIB "gfan.lib";
    intmat M[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c=coneViaPoints(M);
    fan f=emptyFan(3);
    insertCone(f,c);
    getCone(f,2,1,0);
    ==> AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,0,1,
    ==> 0,1,0
    ==> LINEAR_SPAN
    ==> -1,0,0
    ==>
    getCone(f,2,2,0);
    ==> AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,0,1,
    ==> 1,0,0
    ==> LINEAR_SPAN
    ==> 0,-1,0
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.